Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Problema na Instalação (PHP Extension “pdo_mysql” must be loaded)
 
Serginho Design
Jr. Member
 
Total Posts:  2
Joined:  2009-05-04
 

Olá,
Sou novo por aqui, não conheço o Magento, estava instalando em meu Servidor local e apareceu o seguinte erro na aba “Configuration”
[(PHP Extension “pdo_mysql” must be loaded), haviam aparecidos outras extenções… mas consegui ativalas na configuração do easyphp, mas essa ai, fica em vermelho lá, e não consigo ativar, No easyphp aparece essa mensagem “Extensions in red can´t be used because they have dependancy problems, check these extensions installation guide”.
Ja olhei o php.ini e não tem essa extenção lá, nem a dll…
Andei olhando alguns foruns alheios e vi o comentario de um colega, que o servidor dele não da acesso a “pdo_mysql”, Será que alguem sabe oq é isso…

E como resolver meu problema, afinal mesmo que eu começar a trabalhar com o Magento, Vou precisar fazer os trabalho no meu servidor local para depois jogar pro ar… aí ficará dificil…

Aproveitando a Deixa… se Alguem puder me falar se o Magento tem modulo de pagamento via cartão de credito e quais os caminhos para essa informação fico feliz…

Abraços a todos

 
Magento Community Magento Community
Magento Community
Magento Community
 
Serginho Design
Jr. Member
 
Total Posts:  2
Joined:  2009-05-04
 

Bom, como ninguem respondeu, e acredito que isso deve a fato de ter sido meio rápido, eu pesquisei, pesquisei e achei uma solução e deixarei aqui a dica, caso alguem encontre o mesmo problema…

Algumas extensões, o proprio easy php em sua caixa de diálogo lhe dá a opção de marcar e desmarcar as extensões que pretende utilizar, porem algumas ficam em vermelho conforme comentei aí em cima, para ativalas, procure na pasta Config_files do proprio easyphp, dentro encontrara um arquivo de configuração chamado php, Abra-o (pode abri no bloco de notas mesmo) e adicione na lista de extensões a extensão solicitada, no meu caso extension=php_pdo_mysql.dll, certifique-se que o arquivo dll dessa extensão se encontra dentro da pasta de extensões do php no meu caso “.../php5/ext/pdo_mysql.dll ” (detalhe retire o ponto e virgula do incio do codigo, pois o ponte e virgula ativa e desativa a extensão), exemplo:

Ativado
extension=php_pdo_mysql.dll

Desativado
; extension=php_pdo_mysql.dll

Por preucaução ativei tbm no arquivo, php.ini onde tbm encontramos as listas de extensões!

Espero ter ajudado

PS: Não se os servidores externos teem essa dll ativada, mas pelomenos aqui no meu localhost rodo bunitinho

Abraços

 
Magento Community Magento Community
Magento Community
Magento Community
 
rafapacoca
Jr. Member
 
Total Posts:  1
Joined:  2009-07-02
 

Olá Serginho Design, vc tem razão, resolvi o mesmo problema apenas retirando o “ ; “ da frente das extenções necessárias. no meu caso fora 3:

PHP Extension “pdo_mysql” must be loaded
PHP Extension “mcrypt” must be loaded
PHP Extension “curl” must be loaded

Editei o equivo php.ini e rodou lindo!!!

Obrigado Abraço!

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top